Subject: RE: all commands start up sloooooow......
From: Frank Merenda <[email-masked]>
To: Carl Thompson <[email-masked]>
Cc: Cygwin List <[email-masked]>
Date: Fri, 16 Jun 2000 07:45:38 -0400

Carl,
I am not running any MS development software on this box, just some Java
development tools (JBuilder Foundation a little, TextPad most of the time).
The delay is several seconds, up to 20 seconds or so, not the normal second
or so delay that I expect every once in a while :).
I don't have my CYGWIN environmental variable set, and someone else pointed
out to me that it may be the problem. I have hit the user's manual, but am
still at a loss as how to set the variable. Is it a "regular" windows
variable, that I set in my environment, or should I set it in my cygwin.bat
file? and what should my settings be for a "regular" windows NT 4.0 box? how
do I set multiple settings for this variable, should I just seperate them
with the ":" character? 
Sorry that these are such newbie questions, but I'm a newbie! :) I have
RTFM, and am still at a bit of a loss.

Thanks again for any help that can be provided.

Thanks,
Frank Merenda | Senior Software Engineer
VetExchange   | http://www.VetExchange.com 
[email-masked]

"Dogs are not our whole life, but they make our lives whole." 

-- Roger Caras 

> -----Original Message-----
> From: Carl Thompson [mailto:[email-masked]]
> Sent: Thursday, June 15, 2000 7:58 PM
> To: Frank Merenda
> Cc: Cygwin List
> Subject: Re: all commands start up sloooooow......
> 
> 
> Frank Merenda wrote:
> 
> > ...
> 
> > there's loads more here, and I can't wait to use it all. but EVERY
> > tool that I start up starts extremely slowly. There's 
> delays in every
> > command. I also notived that when I do a "ls" on a directory with a
> > lot of files there's  a large delay, but the second time I do a "ls"
> > the files list quickly.
> > 
> > can anyone help me with this? I would love to be able to move on to
> > the new version. Thanks in advance!
> 
> I've noticed the same thing myself, but I believe it happens 
> for any program
> you run, not just those that come with Cygwin.  It's just 
> more noticeable
> when programs are run from the bash prompt.  Once a program 
> is started,
> subsequent startups are reasonably fast.
> 
> The interesting thing I've noticed is that it happens on only 
> one of my two
> Windows 2000 machines.  The are both identical recent 
> installs of the OS and
> Cygwin.  The only difference I can think of is that on the 
> "slow" one I have
> installed VC++ 6.0 but on the "normal" I have not.  Are you 
> running VC++ or
> any other Microsoft development software?
> 
> > Thanks,
> > Frank Merenda | Senior Software Engineer
> 
> Carl Thompson
> 

--
Want to unsubscribe from this list?
Send a message to [email-masked]